diff --git "a/C:\\Users\\hati\\AppData\\Local\\Temp\\TortoiseGit\\Vid9945.tmp\\VideoThumbCreator-c648ca4-left.cs" "b/C:\\mp\\MediaPortal-1\\mediaportal\\Core\\Util\\VideoThumbCreator.cs"
index 81d847d..79992ea 100644
--- "a/C:\\Users\\hati\\AppData\\Local\\Temp\\TortoiseGit\\Vid9945.tmp\\VideoThumbCreator-c648ca4-left.cs"
+++ "b/C:\\mp\\MediaPortal-1\\mediaportal\\Core\\Util\\VideoThumbCreator.cs"
@@ -29,6 +29,7 @@ using MediaPortal.ServiceImplementations;
 using MediaPortal.Profile;
 using MediaPortal.Services;
 
+
 namespace MediaPortal.Util
 {
   public class VideoThumbCreator
@@ -37,6 +38,7 @@ namespace MediaPortal.Util
     private static string ExtractorPath = Config.GetFile(Config.Dir.Base, "MovieThumbnailer", ExtractApp);
     private static int PreviewColumns = 2;
     private static int PreviewRows = 2;
+    private static int preRecordInterval = 1;
     private static bool LeaveShareThumb = false;
     private static bool NeedsConfigRefresh = true;
 
@@ -49,8 +51,9 @@ namespace MediaPortal.Util
         PreviewColumns = xmlreader.GetValueAsInt("thumbnails", "videothumbcols", 1);
         PreviewRows = xmlreader.GetValueAsInt("thumbnails", "videothumbrows", 1);
         LeaveShareThumb = xmlreader.GetValueAsBool("thumbnails", "videosharepreview", false);
-        Log.Debug("VideoThumbCreator: Settings loaded - using {0} columns and {1} rows. Share thumb = {2}",
-                  PreviewColumns, PreviewRows, LeaveShareThumb);
+        preRecordInterval = xmlreader.GetValueAsInt("thumbnails", "preRecordInterval", 1);
+        Log.Debug("VideoThumbCreator: Settings loaded - using {0} columns and {1} rows. Share thumb = {2}, preRecordInterval = {3}.",
+                  PreviewColumns, PreviewRows, LeaveShareThumb, preRecordInterval);
         NeedsConfigRefresh = false;
       }
     }
@@ -128,13 +131,14 @@ namespace MediaPortal.Util
       const double flblank = 0.6;
       string blank = flblank.ToString("F", CultureInfo.CurrentCulture);
 
-      int preGapSec = 5;
-      int postGapSec = 5;
+      int preGapSec = preRecordInterval*60; 
+      /*int postGapSec = 5;  outdated
       if (aOmitCredits)
       {
         preGapSec = 420;
         postGapSec = 600;
-      }
+      }*/
+
       bool Success = false;
       /*string ExtractorArgs = string.Format(" -D 6 -B {0} -E {1} -c {2} -r {3} -b {4} -t -i -w {5} -n -P \"{6}\"",
                                            preGapSec, postGapSec, PreviewColumns, PreviewRows, blank, 0, aVideoPath);
